
#' Title
#'
#' @param data A
#' @param continentes B
#' @param anos C
#'
#' @return D
calcular_estatisticas <- function(data, continentes, anos = 2000) {
  data |>
    dplyr::filter(continente %in% continentes, ano >= anos) |>
    dplyr::group_by(ano) |>
    dplyr::summarise(
      pop = sum(populacao) / 1e6,
      vida = mean(expectativa_de_vida),
      .groups = "drop"
    )
}

#' Title
#'
#' @param continentes A
#' @param anos B
#'
#' @return C
#' @export
calcular_estatisticas_gapminder <- function(continentes, anos = 2000) {
  dados::dados_gapminder |>
    calcular_estatisticas(continentes, anos)
}
